#
# spec file for package perl-File-Find-Rule
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define cpan_name File-Find-Rule

Name:           perl-%cpan_name
Version:        0.33
Release:        17.3
License:        GPL-1.0+ or Artistic-1.0
Summary:        Alternative interface to File::Find
Url:            http://search.cpan.org/dist/File-Find-Rule/
Group:          Development/Libraries/Perl
Source:         %cpan_name-%{version}.tar.gz
BuildRequires:  perl-Number-Compare
BuildRequires:  perl-Text-Glob
BuildRequires:  perl-macros
Requires:       perl-Number-Compare
Requires:       perl-Text-Glob
Provides:       %cpan_name
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}

%description
File::Find::Rule is a friendlier interface to File::Find. It allows you to build rules which specify the desired files and directories.

%prep
%setup -q -n %cpan_name-%{version}

%build
perl Makefile.PL OPTIMIZE="%{optflags} -Wall"
make

%check
make test

%install
make DESTDIR=%{buildroot} install_vendor
%perl_process_packlist

%clean
# clean up the hard disc after build
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/findrule*
%doc %{_mandir}/man?/*
%{perl_vendorlib}/File
%{perl_vendorarch}/auto/File
%doc Changes MANIFEST

%changelog
* Wed Sep 21 2011 vcizek@suse.com
- update to 0.33
    Fixes the case where name("foo(*") hits an error with mismatched
    parentheis.  Reported by Jan Engelhardt.
* Fri Jun 17 2011 vcizek@novell.com
- license correction (same as Perl)
* Tue Jan 11 2011 vcizek@novell.com
- update to 0.32
  Rework the referencing of anyonymous subroutines internally,
    closes RT#46599 (Reported by Kevin Ryde)
  Move to Makefile.PL
    use Test::Differences in the testsuite if available.
  Rearrange the testsuite so you don't keep tripping over yourself.
  Dropped 5.00503 backwards compatibility, allows some 5.6isms and
    dropping the shonky Cwd code.
  All taint 'bugs' are now the same as the behaviour of File::Find,
    documentation has been added to describe this.
- bzipped tarball
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Nov 29 2010 coolo@novell.com
- called spec2changelog
* Sun Jun  8 2008 gerrit.beine@gmx.de
- first release 0.30
